Description

I would like the ability to export only certain pages from an atlas.

For instance:I have an atlas with 149 pages, and I update pages 3,5,7-10. I would like to export those pages for reprint to a single PDF.

Exporting the entire 149 again to print just those is time consuming, but if I could just export the 6 pages I updated it would be great.

History

#1 - 2015-04-26 03:11 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Map Composer/Printing

In the atlas option there is the one that allows you to filter (by expression) what you want to print. Isn't this what you look for?

#2 - 2015-04-26 08:18 PM - Jesse McMillan

- File buttons-2arcgis.PNG added

- File export-arcgis.PNG added

- File buttons-1qgis.PNG added

not exactly. I mean you could use it for that but it's relatively labor-intensive for such a simple task.

I've been using:

"featurenumberfield" IS '1'

OR

"featurenumberfield" IS '72'

etc... but it's not as easy as it could be.

For instance, compare qgis:

https://issues.qgis.org/attachments/8634/buttons-1qgis.PNG

vs. arcgis (sorry! I hate making that comparison)

https://issues.qgis.org/attachments/8635/buttons-2arcgis.PNG

note how arcgis lets you go straight to the page you want to look at / export.

in qgis if I want to go to page 78 I have to hit the next arrow 77 times if you don't know how to use expressions.

Also, when exporting in arcgis:

https://issues.qgis.org/attachments/8636/export-arcgis.PNG

That's what I'm looking for. I can enter page numbers to export and only export those pages in the "page range" field.
#3 - 2015-04-26 11:58 PM - Giovanni Manghi

- Target version set to Future Release - Nice to have

- Status changed from Feedback to Open

That's what I'm looking for. I can enter page numbers to export and only export those pages in the "page range" field.

it makes sense.

#4 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

Files

buttons-1qgis.PNG 4.78 KB 2015-04-26 Jesse McMillan

buttons-2arcgis.PNG 8.52 KB 2015-04-26 Jesse McMillan

export-arcgis.PNG 12.6 KB 2015-04-26 Jesse McMillan
